This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 677609

Summary: IPv6 default gateway not honoured
Product: [Fedora] Fedora Reporter: A.J. Werkman <aj.werkman>
Component: anacondaAssignee: Radek Vykydal <rvykydal>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: medium    
Version: rawhideCC: anaconda-maint-list, awilliam, jcm, jonathan, vanmeeuwen+fedora, wnefal+redhatbugzilla
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: AcceptedNTH
Fixed In Version: anaconda-15.26-1.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-04-05 17:39:54 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 604334, 679825    
Bug Blocks: 657619    

Description A.J. Werkman 2011-02-15 06:10:32 EST
Description of problem:
When installing with IPv6 static address the default gateway is not configured

Version-Release number of selected component (if applicable):
Fedora 15 Alpha TC2

How reproducible:
Everytime


Steps to Reproduce:
1. Install F15 from a HTTP repository
2. On the Network UI I configure both IPv4 and IPv6 static addresses. I enter a IPv6 default gateway
3. Reboot to newly installed system.
  
Actual results:
IPv6 default gateway is not configured. I can not ping6 an address outside the local network. The command 'ip -6 show route' only gives the network interface as the default gateway not the IPv6 address that I gave during the installation process


Expected results:
The IPv6 address for the default gateway should be configured as given during the installation process, so I can reach a IPv6 address outside the local network.

Additional info:

The IPv6 default gateway does not appear in the '/etc/sysconfig/network-scripts/ifcfg-em1' file.
Comment 2 Radek Vykydal 2011-03-05 16:57:54 EST
There are more issues:

- NM doesn't handle IPV6_DEFAULTGW, this is fixed in master, not sure if the fix gets into F15 (see bug #604334)

- kickstart --gateway option has been broken for ipv6 recently, I sent a patch 
with fix to a-d-l

- boot option gateway didn't support ipv6 addresses, patch for this is on a-d-l too
Comment 3 Radek Vykydal 2011-03-05 17:02:42 EST
It would be nice to have IPv6 support complete in F15.
Comment 4 Radek Vykydal 2011-03-11 02:02:15 EST
This should be fixed in anaconda-15.23-1.
Comment 5 Adam Williamson 2011-03-11 14:06:51 EST
Discussed at 2011-03-11 blocker review meeting, agreed accepted nice-to-have, fixing IPv6 is always a good goal.
Comment 6 Fedora Update System 2011-03-29 16:59:43 EDT
anaconda-15.26-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/anaconda-15.26-1.fc15
Comment 7 Fedora Update System 2011-03-29 22:26:38 EDT
Package anaconda-15.26-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-15.26-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/anaconda-15.26-1.fc15
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2011-04-05 17:38:29 EDT
anaconda-15.26-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.